A selection set of fields that can be shared between multiple query operations. [Learn more about fragments](https://graphql.com/learn/interfaces-and-unions/#fragments) and how to use them.

```graphql
fragment UserData on User {
  id: ID!
  firstName: String!
  lastName: String!
}

query GetUsers {
  allUsers {
    ...UserData
  }
}
```
