A special query that enables clients and tools to fetch a GraphQL server's complete schema. Types and fields used in introspection are prefixed with \_\_ (two underscores).

```graphql
{
  __schema {
    types {
      name
    }
  }
}
```

[Learn more](https://www.apollographql.com/blog/graphql/security/why-you-should-disable-graphql-introspection-in-production/) about why introspection should be disabled in production environments.
