import fs from "fs";

const terms: Record<string, string> = {};
const termsFiles = fs.readdirSync(`${__dirname}/terms`);
for (const file of termsFiles) {
  terms[file.replace(/\.md/, "")] = fs.readFileSync(
    `${__dirname}/terms/${file}`,
    "utf8"
  );
}

fs.writeFileSync("src/terms.json", JSON.stringify(terms));
