A key-value pair associated with a particular schema field, enabling operations to pass data to that field's resolver. Argument values can be hardcoded as literal values (shown below for clarity) or provided via GraphQL variables (recommended).

```graphql
query GetHuman {
  human(id: "200") {
    name
    height(unit: "meters")
  }
}
```

[Learn more about GraphQL arguments.](https://graphql.com/learn/arguments/)
